Package org.eclipse.birt.report.model.api.validators

# Class ElementReferenceValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractPropertyValidator
org.eclipse.birt.report.model.api.validators.ElementReferenceValidator

public class ElementReferenceValidator extends org.eclipse.birt.report.model.validators.AbstractPropertyValidator
Validates the property whose type is element reference. If the value can refer to an actual element, it will be resolved after validation.

### Rule

The rule is that the element reference value should refer to an actual element in the same report.

### Applicability

This validator is only applied to the element reference properties of `DesignElement`, except `StyledElement.STYLE_PROP`. The `StyledElement.STYLE_PROP` value should be validated with `StyleReferenceValidator`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Name of this validator.

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`ElementReferenceValidator()`

## Method Summary

Modifier and Type
Method
Description
`static ElementReferenceValidator`
`getInstance()`
Returns the singleton validator instance.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)`
Validates the element reference value can refer to an actual element.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Name of this validator.

See Also:
  - Constant Field Values

## Constructor Details

### ElementReferenceValidator

public ElementReferenceValidator()

## Method Details

### getInstance

public static ElementReferenceValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)
Validates the element reference value can refer to an actual element.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractPropertyValidator`
Parameters:
  `module` - the module
  `element` - the element holding the element reference property
  `propName` - the name of the element reference property
Returns:
  error list, each of which is the instance of `SemanticException`.